Subject: [bug#31241] [PATCH 00/13] Add Duniter's bindings for Python

From: [email-masked] (Ludovic Courtès)
Date: Thu, 26 Apr 2018 15:42:47 +0200

Hi Nicolas,

Nicolas Goaziou <[email-masked]> skribis:

> The ultimate goal is to package Sakia (<http://sakia-wallet.org>), but I'm
> failing so far (PyQt5 not found even though it is a propagated input).
> Anyway, the duniterpy library is a big step forward towards that goal.
>
> Feedback welcome.
>
> Regards,
>
> Nicolas Goaziou (13):
>   gnu: python-attrs: Update to 17.4.0.
>   gnu: Add python-async-generator.
>   gnu: Add python-pycares.
>   gnu: Add python-async-timeout.
>   gnu: Add python-idna-ssl.
>   gnu: Add python-base58.
>   gnu: Add python-pylibscrypt.
>   gnu: Add python-multidict.
>   gnu: Add python-aiodns.
>   gnu: Add python-yarl.
>   gnu: Add python-libnacl.
>   gnu: Add python-aiohttp.
>   gnu: Add python-duniterpy.

I skimmed over the patches.  There are a few descriptions that should be
turned into real sentences, if you don’t mind.  :-)

I haven’t tried building them, but otherwise it LGTM.

Thanks,
Ludo’.